Invite someone to the household (owners only)
const url = 'http://127.0.0.1:8484/api/v1/auth/invites';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"role":"owner"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://127.0.0.1:8484/api/v1/auth/invites \ --header 'Content-Type: application/json' \ --data '{ "role": "owner" }'Request Bodyrequired
Section titled “Request Bodyrequired”object
A URL to the JSON Schema for this object.
Responses
Section titled “Responses”OK
object
A URL to the JSON Schema for this object.
Web path to open, e.g. /join/abc…; only useful if the invited person can reach this server
T.me link that joins from Telegram, from anywhere; present when the bot runs
Example
{ "$schema": "https://example.com/api/schemas/InviteOut.json"}default
Section titled “default”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}